<script>
    import Project from "../Project.svelte"
</script>

<div class="w-100 grid gap-2" style="grid-template-columns: repeat(auto-fill, 450px);">
    
    <Project 
        title="Higeku Site (XSite)"
        logo="Higenku"
        feedbackUrl={true}
        docsUrl="apps/site"
        siteUrl=""
        sourceUrl="apps/site"
        state="alpha">
        
        Higenku Main site is the port for new users to get to know the project,
        it's like other projects like <a href="https://gtk.org">GTK</a> show what
        they do and why they do it. We also store legal documents here.
    </Project>

    <Project 
        title="Higeku Documentation (XDocs)"
        logo="XDocs"
        feedbackUrl={true}
        docsUrl={null}
        siteUrl="docs"
        sourceUrl="docs"
        state="wip">
        All Higenku Documentation, this means that here is stored guides, tutorials, 
        api references and much more. This documentation is also (as most of higenku 
        software) community supported.
    </Project>

    <Project 
        title="Higeku Account (XAccount)"
        logo="XAccounts"
        feedbackUrl={true}
        docsUrl="apps/account"
        siteUrl="user"
        sourceUrl="apps/account"
        state="wip">
        Higenku Account System is how we manage accounts. Instead of haing many
        differents accounts, we provide a system that manages everything and all
        other systems just get the information from it. 
    </Project>

    <Project 
        title="Higeku Store (XStore)"
        logo="XStore"
        feedbackUrl={true}
        docsUrl="apps/store"
        siteUrl="store"
        sourceUrl="apps/store"
        state="wip">
        Higenku Store, is where you (as the user) can discover new apps, download them and
        be happy giving rewards. On the other hand, you (as the developer) can publish apps, 
        update information, get acess to higenku apis (auth, sync, etc) and get rewards.
    </Project>

    <Project 
        title="Higeku Neko (XNeko)"
        logo="XNeko"
        feedbackUrl={true}
        docsUrl="apps/neko"
        siteUrl="neko"
        sourceUrl="apps/neko"
        state="future">
        This is the Free Open IDE for multiple Languages based on VSCode
        but with rust and our UI Framework in orther to make it more lightweight
        and compatible with the XRuntime. On top of this, it also supports VsCode
        Extensions.
    </Project>

    <Project 
        title="Higeku RedRay (XRedRay)"
        logo="XRedRay"
        feedbackUrl={true}
        docsUrl={null}
        siteUrl={null}
        sourceUrl={null}
        state="future">
        This is the Open Source environment for applications in the cloud.
        It's based on <a href="https://podman.io">podman</a> and <a href="https://actix.rs">actix.rs</a>
    </Project>

    <Project 
        title="Higeku Suite (XSuite)"
        logo="XSuite"
        feedbackUrl={true}
        docsUrl={null}
        siteUrl={null}
        sourceUrl="apps/suite"
        state="future">
        This is the Free Open Source Tools for Office Suite provided
        by the Higenku Project. We developed our own format for writing,
        so be sure to look into the spec before migrating.
    </Project>
    
</div>